#toolbar-up.w2ui-toolbar {
		left: 0;
		right: 0;
		padding-left: 9px;
		padding-right: 0px;
		text-align: center;
		z-index: 999;
		overflow: visible !important;
		background-color: white;
}

#toolbar-down {
		left: 0;
		right: 0;
		text-align: center;
		padding: 0;
		position: fixed;
		bottom: 0;
		z-index: 1000;
		border-top: 1px solid #bbbbbb;
}
#toolbar-down *{
	max-height: 35px !important;
}
#tb_actionbar_item_LanguageStatus table table td:first-of-type{
	min-width: max-content !important;
}
#tb_actionbar_item_LanguageStatus .w2ui-tb-caption{
	float: none;
}
#tb_actionbar_item_zoom .w2ui-tb-caption{
	min-width: 43px;
}
#tb_actionbar_item_zoom .w2ui-tb-caption::after {
	content: '%';
}
#document-signing-bar {
		background-color: #ef324e;;
}

#toolbar-search {
    left: 0;
    right: 0;
    text-align: center;
    padding: 0;
    position: fixed;
    bottom: 0;
    z-index: 1000;
    border-top: 1px solid #bbbbbb;
}

#toolbar-search {
    left: 0;
    right: 0;
    text-align: center;
    padding: 0;
    position: fixed;
    bottom: 0;
    z-index: 1000;
    border-top: 1px solid #bbbbbb;
}

w2ui-toolbar {
		position: absolute;
		right: 10px;
		top: 40px;
		border: 1px solid darkgrey;
		z-index: 1000;
		display: none;
		overflow: visible !important;
}
#toolbar-down .ToolbarStatusInactive {
	color: #696969;
	box-shadow: inset 0px 0px 0px 10px #f2f2f2, 0px 0px 0px 2px #f2f2f2, 4px 0px 0px 1px #fff, -4px 0px 0px 1px #fff, 0px 0px 0px 5px #fff;
}
#spreadsheet-toolbar {
		left: 0;
		text-align: center;
		bottom: 35px;
		padding: 0;
		position: absolute;
}

#formulabar {
		border-top: 1px solid #bbbbbb;
		height: 30px;
}

#presentation-toolbar {
		background-color: #dfdfdf;
		text-align: center;
		position: absolute;
		z-index: 500;
		width: 98%;
		padding: 0px 0px 10px 0px;
}

/* For MS Edge 40, the select2 combo boxes need to have higher z-index than #map
 * Ideal would be to add the class to select2-container <span>, but
 * https://github.com/select2/select2/issues/285
 * So, for now just define the z-index here separately for the same class that select2 uses
 * as a container
 */
.select2-container {
		z-index: 1000;
}

.select2-container .select2-selection--single {
		height: 100%;
}

.w2ui-scroll-left,
.w2ui-scroll-right {
		z-index: 1000;
}

/* center the toolbar */
#tb_presentation-toolbar_item_left {
		width: 50%;
}

#addressInput {
		height: 29px;
		width: 100px;
}

#formulaInput {
		height: 29px;
		width: 100%;
}

#calc-inputbar-wrapper {
	display: block;
	border: none;
}

#calc-inputbar {
	display: block;
	width: 100%;
	position: relative;
	padding:0px;
	margin: 0px 0px -4px 0px;
}

#tb_formulabar_item_formula {
		width: 100%;
}

#tb_formulabar_item_formula div table {
		width: 100%;
}
#document-title-pencil.editable {
	visibility: visible;
	width: 24px;
	height: 18px;
	position: absolute;
	left: 87%;
	background: url('images/baseline-edit.svg') right center no-repeat, radial-gradient(circle, #fff 20%, #fff0 100%);
}

#document-title-pencil:not(.editable){
	visibility: hidden;
}

#document-name-input {
		font-size: 16px;
		border: 1px solid transparent;
		background-color: transparent;
}

#document-name-input.editable {
	border: none;
	box-shadow: 0 0 0.1px 1px #ebebeb, 0 0 2px 1px #f0f0f0;
	background-position: right;
	background-repeat: no-repeat;
	padding-right: 24px;
	max-width: 100%;
}

#document-name-input.editable:focus {
		border: none;
		box-shadow: inset 0 0 2px 1px #f0f0f0, 0 0 0.1px 1px #bbb;
		background-color: white;
		background-image: none;
}

#document-name-input.editable:hover:not(:focus) {
		border: none;
		box-shadow: 0 0 0.1px 1px #d7d7d7, 0 0 3px 2px #f0f0f0;
		background-color: white;
		background-position: right;
		background-repeat: no-repeat;
}
#tb_editbar_item_fold table.w2ui-button {
	margin: 0px 14px 0px 4px !important;
}
#tb_editbar_item_fold table.w2ui-button.over {
	background-color: #fff !important;
}
td[id^=tb_editbar_item_sidebar]{
	padding: 0px 8px;
}
#tb_editbar_item_edit {
		display: none;
}

#closebuttonwrapper {
		position: fixed;
		z-index: 1050;
		right: 4px;
		top: 3px;
		width: 28px;
		height: 28px;
		background-color: white;
		display: none;
}

#closebutton {
		width: 18px;
		height: 18px;
		border: 1px solid;
		border-color: transparent;
		border-radius: 5px;
		margin: 5px;
}

#closebutton:hover {
		border-color: #ccc;
		background-color: #eee;
}

.closebuttonimage {
		display: none;
		background: url('images/closedoc.svg') no-repeat center !important;
}

#tb_actionbar_item_left {
		width: 45%;
}
#tb_actionbar_item_right {
		width: 100%;
}

#tb_searchbar_item_left {
    width: 95%;
}

#tb_searchbar_item_left {
    width: 95%;
}

.w2ui-button{
		margin:0 !important;
}

.w2ui-tb-image {
		width: 24px !important;
		height: 24px !important;
}

.w2ui-break {
	margin:0 4px !important;
}

.leaflet-bar a {
		float: left;
}

div .leaflet-bar a:last-child {
		border-bottom: 1px solid #ccc;
}

.leaflet-control-zoom.leaflet-bar {
		margin-left: 0.5em;
}

div.leaflet-control-zoom leaflet-bar {
		width: 53px;
}

div .leaflet-bar a:first-child {
		border-radius: 4px 0 0 4px;
}

div .leaflet-bar a:last-child {
		border-radius: 0 4px 4px 0;
}

label.leaflet-control-editviewswitch {
		padding: 0.2em 0.4em 0.2em 0em;
}

input.leaflet-control-search-bar {
		padding: 0.3em;
	max-width: 100px;
}

.leaflet-control-fonts-container {
	display: inline;
}

select {
	padding: 0.2em 0.4em 0.4em 0em;
	background-color: white;
}

button.leaflet-control-search-prev {
		margin-left: 0.2em;
}

button.leaflet-control-search-next
, leaflet-control-search-cancel {
		margin-right: 0.2em;
}

#toolbar label
, .leaflet-control-search {
		background-color: #fff;
}

.search-not-found {
		background-color: red !important;
		-webkit-transition: background-color 0.8s linear;
			 -moz-transition: background-color 0.8s linear;
				 -o-transition: background-color 0.8s linear;
						transition: background-color 0.8s linear;

}

#zoomlevel {
		min-width: 36px;
		font-size: 12px;
}

/* select box */
.select2-results__option {
		padding: 5px;
		font-family: "Segoe UI", Tahoma, Arial, Helvetica, sans-serif;
		font-size: 12px;
		overflow: hidden;
		text-overflow: ellipsis;
}
.select2-selection__rendered {
		font-family: "Segoe UI", Tahoma, Arial, Helvetica, sans-serif;
		font-size: 12px;
}
.styles-select {
		width: 180px;
}
#tb_editbar_item_fonts .select2-container{
		width: 150px !important;
}
.fontsizes-select {
		width: 55px !important;
}
.evo-cp-wrap {
		/* hide the color pick div */
		width: 1px !important;
}

.font-color-indicator,
.back-color-indicator {
		width: 24px;
		height: 6px;
		margin-top: -7px !important;
		margin-left: 5px !important;
		position: fixed;
		background: transparent;
}

.back-color-indicator {
		border-width: 1px;
		border-style: solid;
}

#setborderstyle-grid tr td {
		box-sizing: border-box;
		background: rgba(255, 255, 255, 0.5);
		position: relative;
		padding: 2px;
		border: 1px solid #ccc;
		overflow: auto; /* child margins otherwise don't expand *this* element (parent) */
}

#setborderstyle-grid td:hover {
		border: 1px solid #888;
}

#conditionalformatmenu-grid tr td {
		box-sizing: border-box;
		background: rgba(255, 255, 255, 0.5);
		position: relative;
		padding: 2px;
		border: 1px solid #ccc;
		overflow: auto; /* child margins otherwise don't expand *this* element (parent) */
}

#conditionalformatmenu-grid td:hover {
		border: 1px solid #888;
}

.w2ui-icon.basicshapes_rectangle { background: url('images/lc_rect.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_round-rectangle { background: url('images/lc_rect_rounded.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_quadrat { background: url('images/lc_square.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_round-quadrat { background: url('images/lc_basicshapes.round-quadrat.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_circle { background: url('images/lc_circle.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_ellipse { background: url('images/lc_ellipse.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_circle-pie { background: url('images/lc_pie.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_isosceles-triangle { background: url('images/lc_basicshapes.isosceles-triangle.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_right-triangle { background: url('images/lc_basicshapes.right-triangle.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_trapezoid { background: url('images/lc_basicshapes.trapezoid.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_diamond { background: url('images/lc_basicshapes.diamond.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_parallelogram { background: url('images/lc_flowchartshapes.flowchart-data.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_pentagon { background: url('images/lc_basicshapes.pentagon.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_hexagon { background: url('images/lc_basicshapes.hexagon.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_octagon { background: url('images/lc_basicshapes.octagon.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_cross { background: url('images/lc_basicshapes.cross.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_ring { background: url('images/lc_basicshapes.ring.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_block-arc { background: url('images/lc_basicshapes.block-arc.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_can { background: url('images/lc_basicshapes.can.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_cube { background: url('images/lc_basicshapes.cube.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_paper { background: url('images/lc_basicshapes.paper.svg') no-repeat center !important; }
.w2ui-icon.basicshapes_frame { background: url('images/lc_rect_unfilled.svg') no-repeat center !important; }

.w2ui-icon.symbolshapes { background: url('images/lc_symbolshapes.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_sun { background: url('images/lc_symbolshapes.sun.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_moon { background: url('images/lc_symbolshapes.moon.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_lightning { background: url('images/lc_symbolshapes.lightning.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_heart { background: url('images/lc_symbolshapes.heart.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_flower { background: url('images/lc_symbolshapes.flower.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_cloud { background: url('images/lc_symbolshapes.cloud.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_forbidden { background: url('images/lc_symbolshapes.forbidden.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_puzzle { background: url('images/lc_symbolshapes.puzzle.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_bracket-pair { background: url('images/lc_symbolshapes.bracket-pair.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_left-bracket { background: url('images/lc_symbolshapes.left-bracket.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_right-bracket { background: url('images/lc_symbolshapes.right-bracket.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_brace-pair { background: url('images/lc_symbolshapes.brace-pair.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_left-brace { background: url('images/lc_symbolshapes.left-brace.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_right-brace { background: url('images/lc_symbolshapes.right-brace.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_quad-bevel { background: url('images/lc_symbolshapes.right-brace.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_octagon-bevel { background: url('images/lc_symbolshapes.octagon-bevel.svg') no-repeat center !important; }
.w2ui-icon.symbolshapes_diamond-bevel { background: url('images/lc_symbolshapes.diamond-bevel.svg') no-repeat center !important; }

.w2ui-icon.arrowshapes_left-arrow { background: url('images/lc_arrowshapes.left-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_right-arrow { background: url('images/lc_arrowshapes.right-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_up-arrow { background: url('images/lc_arrowshapes.up-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_down-arrow { background: url('images/lc_arrowshapes.down-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_left-right-arrow { background: url('images/lc_arrowshapes.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_up-down-arrow { background: url('images/lc_arrowshapes.up-down-arrow.svg') no-repeat center !important; }

.w2ui-icon.arrowshapes_up-right-arrow { background: url('images/lc_arrowshapes.up-right-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_up-right-down-arrow { background: url('images/lc_arrowshapes.up-right-down-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_quad-arrow { background: url('images/lc_arrowshapes.quad-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_corner-right-arrow { background: url('images/lc_arrowshapes.corner-right-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_split-arrow { background: url('images/lc_arrowshapes.split-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_striped-right-arrow { background: url('images/lc_arrowshapes.striped-right-arrow.svg') no-repeat center !important; }

.w2ui-icon.arrowshapes_notched-right-arrow { background: url('images/lc_arrowshapes.notched-right-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_pentagon-right { background: url('images/lc_arrowshapes.pentagon-right.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_chevron { background: url('images/lc_arrowshapes.chevron.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_right-arrow-callout { background: url('images/lc_arrowshapes.right-arrow-callout.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_left-arrow-callout { background: url('images/lc_arrowshapes.left-arrow-callout.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_up-arrow-callout { background: url('images/lc_arrowshapes.up-arrow-callout.svg') no-repeat center !important; }

.w2ui-icon.arrowshapes_down-arrow-callout { background: url('images/lc_arrowshapes.down-arrow-callout.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_left-right-arrow-callout { background: url('images/lc_arrowshapes.left-right-arrow-callout.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_up-down-arrow-callout { background: url('images/lc_arrowshapes.up-down-arrow-callout.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_up-right-arrow-callout { background: url('images/lc_arrowshapes.up-right-arrow-callout.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_quad-arrow-callout { background: url('images/lc_arrowshapes.quad-arrow-callout.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_circular-arrow { background: url('images/lc_arrowshapes.circular-arrow.svg') no-repeat center !important; }

.w2ui-icon.arrowshapes_split-round-arrow { background: url('images/lc_arrowshapes.split-round-arrow.svg') no-repeat center !important; }
.w2ui-icon.arrowshapes_s-sharped-arrow { background: url('images/lc_arrowshapes.s-sharped-arrow.svg') no-repeat center !important; }

.w2ui-icon.starshapes_bang { background: url('images/lc_starshapes.bang.svg') no-repeat center !important; }
.w2ui-icon.starshapes_star4 { background: url('images/lc_starshapes.star4.svg') no-repeat center !important; }
.w2ui-icon.starshapes_star5 { background: url('images/lc_starshapes.star5.svg') no-repeat center !important; }
.w2ui-icon.starshapes_star6 { background: url('images/lc_starshapes.star6.svg') no-repeat center !important; }
.w2ui-icon.starshapes_star8 { background: url('images/lc_starshapes.star8.svg') no-repeat center !important; }
.w2ui-icon.starshapes_star12 { background: url('images/lc_starshapes.star12.svg') no-repeat center !important; }

.w2ui-icon.starshapes_star24 { background: url('images/lc_starshapes.star24.svg') no-repeat center !important; }
.w2ui-icon.starshapes_concave-star6 { background: url('images/lc_starshapes.concave-star6.svg') no-repeat center !important; }
.w2ui-icon.starshapes_vertical-scroll { background: url('images/lc_starshapes.vertical-scroll.svg') no-repeat center !important; }
.w2ui-icon.starshapes_horizontal-scroll { background: url('images/lc_starshapes.horizontal-scroll.svg') no-repeat center !important; }
.w2ui-icon.starshapes_signet { background: url('images/lc_signature.svg') no-repeat center !important; }
.w2ui-icon.starshapes_doorplate { background: url('images/lc_starshapes.doorplate.svg') no-repeat center !important; }

.w2ui-icon.calloutshapes_rectangular-callout { background: url('images/lc_calloutshapes.rectangular-callout.svg') no-repeat center !important; }
.w2ui-icon.calloutshapes_round-rectangular-callout { background: url('images/lc_calloutshapes.svg') no-repeat center !important; }
.w2ui-icon.calloutshapes_round-callout { background: url('images/lc_calloutshapes.round-callout.svg') no-repeat center !important; }
.w2ui-icon.calloutshapes_cloud-callout { background: url('images/lc_calloutshapes.cloud-callout.svg') no-repeat center !important; }
.w2ui-icon.calloutshapes_line-callout-1 { background: url('images/sc_calloutshapes.line-callout-1.svg') no-repeat center !important; }
.w2ui-icon.calloutshapes_line-callout-2 { background: url('images/sc_calloutshapes.line-callout-2.svg') no-repeat center !important; }
.w2ui-icon.calloutshapes_line-callout-3 { background: url('images/sc_calloutshapes.line-callout-3.svg') no-repeat center !important; }

.w2ui-icon.flowchartshapes_flowchart-process { background: url('images/lc_square.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-alternate-process { background: url('images/lc_basicshapes.round-quadrat.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-decision { background: url('images/lc_flowchartshapes.flowchart-decision.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-data { background: url('images/lc_flowchartshapes.flowchart-data.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-predefined-process { background: url('images/lc_flowchartshapes.flowchart-predefined-process.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-internal-storage { background: url('images/lc_flowchartshapes.flowchart-internal-storage.svg') no-repeat center !important; }

.w2ui-icon.flowchartshapes_flowchart-document { background: url('images/lc_flowchartshapes.flowchart-document.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-multidocument { background: url('images/lc_flowchartshapes.flowchart-multidocument.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-terminator { background: url('images/lc_flowchartshapes.flowchart-terminator.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-preparation { background: url('images/lc_flowchartshapes.flowchart-preparation.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-manual-input { background: url('images/lc_flowchartshapes.flowchart-manual-input.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-manual-operation { background: url('images/lc_basicshapes.trapezoid.svg') no-repeat center !important; }

.w2ui-icon.flowchartshapes_flowchart-connector { background: url('images/lc_circle.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-off-page-connector { background: url('images/lc_flowchartshapes.flowchart-off-page-connector.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-card { background: url('images/lc_flowchartshapes.flowchart-card.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-punched-tape { background: url('images/lc_fontworkshapetype.fontwork-wave.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-summing-junction { background: url('images/lc_flowchartshapes.flowchart-summing-junction.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-or { background: url('images/lc_flowchartshapes.flowchart-or.svg') no-repeat center !important; }

.w2ui-icon.flowchartshapes_flowchart-collate { background: url('images/lc_flowchartshapes.flowchart-collate.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-sort { background: url('images/lc_flowchartshapes.flowchart-sort.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-extract { background: url('images/lc_basicshapes.isosceles-triangle.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-merge { background: url('images/lc_fontworkshapetype.fontwork-triangle-down.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-stored-data { background: url('images/lc_flowchartshapes.flowchart-stored-data.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-delay { background: url('images/lc_flowchartshapes.flowchart-delay.svg') no-repeat center !important; }

.w2ui-icon.flowchartshapes_flowchart-sequential-access { background: url('images/lc_flowchartshapes.flowchart-sequential-access.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-magnetic-disk { background: url('images/lc_basicshapes.can.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-direct-access-storage { background: url('images/lc_flowchartshapes.flowchart-direct-access-storage.svg') no-repeat center !important; }
.w2ui-icon.flowchartshapes_flowchart-display { background: url('images/lc_flowchartshapes.flowchart-display.svg') no-repeat center !important; }

.w2ui-icon.frame01 { background: url('images/fr01.svg') no-repeat center !important; }
.w2ui-icon.frame02 { background: url('images/fr02.svg') no-repeat center !important; }
.w2ui-icon.frame03 { background: url('images/fr03.svg') no-repeat center !important; }
.w2ui-icon.frame04 { background: url('images/fr04.svg') no-repeat center !important; }
.w2ui-icon.frame05 { background: url('images/fr05.svg') no-repeat center !important; }
.w2ui-icon.frame06 { background: url('images/fr06.svg') no-repeat center !important; }
.w2ui-icon.frame07 { background: url('images/fr07.svg') no-repeat center !important; }
.w2ui-icon.frame08 { background: url('images/fr08.svg') no-repeat center !important; }
.w2ui-icon.frame09 { background: url('images/fr09.svg') no-repeat center !important; }
.w2ui-icon.frame10 { background: url('images/fr010.svg') no-repeat center !important; }
.w2ui-icon.frame11 { background: url('images/fr011.svg') no-repeat center !important; }
.w2ui-icon.frame12 { background: url('images/fr012.svg') no-repeat center !important; }
.w2ui-icon.frame13 { width: 108px !important; }
#div-frame13 { width: 102px; height: 18px; text-align: center; display: table-cell; vertical-align: middle; cursor: default; }

.w2ui-icon.iconset00 { background: url('images/icon-set-colorarrows-down.svg') no-repeat, url('images/icon-set-colorarrows-same.svg') no-repeat, url('images/icon-set-colorarrows-up.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset01 { background: url('images/icon-set-grayarrows-down.svg') no-repeat, url('images/icon-set-grayarrows-same.svg') no-repeat, url('images/icon-set-grayarrows-up.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset02 { background: url('images/icon-set-flags-red.svg') no-repeat, url('images/icon-set-flags-yellow.svg') no-repeat, url('images/icon-set-flags-green.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset03 { background: url('images/icon-set-circles1-red.svg') no-repeat, url('images/icon-set-circles1-yellow.svg') no-repeat, url('images/icon-set-circles1-green.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset04 { background: url('images/icon-set-trafficlights-red.svg') no-repeat, url('images/icon-set-trafficlights-yellow.svg') no-repeat, url('images/icon-set-trafficlights-green.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset05 { background: url('images/icon-set-shapes-diamond.svg') no-repeat, url('images/icon-set-shapes-triangle.svg') no-repeat, url('images/icon-set-shapes-circle.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset06 { background: url('images/icon-set-symbols1-cross.svg') no-repeat, url('images/icon-set-symbols1-exclamation-mark.svg') no-repeat, url('images/icon-set-symbols1-check.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
/* Avoid the iconset07, the core renders it the same as iconset06, no need to support it in the online.
.w2ui-icon.iconset07 { background: url('images/icon-set-symbols1-cross.svg') no-repeat, url('images/icon-set-symbols1-exclamation-mark.svg') no-repeat, url('images/icon-set-symbols1-check.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }*/
.w2ui-icon.iconset08 { background: url('images/icon-set-positive-yellow-smilie.svg') no-repeat, url('images/icon-set-neutral-yellow-smilie.svg') no-repeat, url('images/icon-set-negative-yellow-smilie.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset09 { background: url('images/icon-set-stars-empty.svg') no-repeat, url('images/icon-set-stars-half.svg') no-repeat, url('images/icon-set-stars-full.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset10 { background: url('images/icon-set-triangles-down.svg') no-repeat, url('images/icon-set-triangles-same.svg') no-repeat, url('images/icon-set-triangles-up.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset11 { background: url('images/icon-set-positive-green-smilie.svg') no-repeat, url('images/icon-set-neutral-yellow-smilie.svg') no-repeat, url('images/icon-set-negative-red-smilie.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset12 { background: url('images/icon-set-colorarrows-down.svg') no-repeat, url('images/icon-set-colorarrows-slightly-down.svg') no-repeat, url('images/icon-set-colorarrows-slightly-up.svg') no-repeat, url('images/icon-set-colorarrows-up.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset13 { background: url('images/icon-set-grayarrows-down.svg') no-repeat, url('images/icon-set-grayarrows-slightly-down.svg') no-repeat, url('images/icon-set-grayarrows-slightly-up.svg') no-repeat, url('images/icon-set-grayarrows-up.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset14 { background: url('images/icon-set-circles2-dark-gray.svg') no-repeat, url('images/icon-set-circles2-light-gray.svg') no-repeat, url('images/icon-set-circles2-light-red.svg') no-repeat, url('images/icon-set-circles2-dark-red.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset15 { background: url('images/icon-set-bars-one-quarter.svg') no-repeat, url('images/icon-set-bars-half.svg') no-repeat, url('images/icon-set-bars-three-quarters.svg') no-repeat, url('images/icon-set-bars-full.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset16 { background: url('images/icon-set-circles1-gray.svg') no-repeat, url('images/icon-set-circles1-red.svg') no-repeat, url('images/icon-set-circles1-yellow.svg') no-repeat, url('images/icon-set-circles1-green.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset17 { background: url('images/icon-set-colorarrows-down.svg') no-repeat, url('images/icon-set-colorarrows-slightly-down.svg') no-repeat, url('images/icon-set-colorarrows-same.svg') no-repeat, url('images/icon-set-colorarrows-slightly-up.svg') no-repeat, url('images/icon-set-colorarrows-up.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center, 74px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset18 { background: url('images/icon-set-grayarrows-down.svg') no-repeat, url('images/icon-set-grayarrows-slightly-down.svg') no-repeat, url('images/icon-set-grayarrows-same.svg') no-repeat, url('images/icon-set-grayarrows-slightly-up.svg') no-repeat, url('images/icon-set-grayarrows-up.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center, 74px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset19 { background: url('images/icon-set-bars-empty.svg') no-repeat, url('images/icon-set-bars-one-quarter.svg') no-repeat, url('images/icon-set-bars-half.svg') no-repeat, url('images/icon-set-bars-three-quarters.svg') no-repeat, url('images/icon-set-bars-full.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center, 74px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset20 { background: url('images/icon-set-pies-empty.svg') no-repeat, url('images/icon-set-pies-one-quarter.svg') no-repeat, url('images/icon-set-pies-half.svg') no-repeat, url('images/icon-set-pies-three-quarters.svg') no-repeat, url('images/icon-set-pies-full.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center, 74px center !important;
																			width: 94px !important; }
.w2ui-icon.iconset21 { background: url('images/icon-set-squares-empty.svg') no-repeat, url('images/icon-set-squares-one-quarter.svg') no-repeat, url('images/icon-set-squares-half.svg') no-repeat, url('images/icon-set-squares-three-quarters.svg') no-repeat, url('images/icon-set-squares-full.svg') no-repeat !important;
											 background-size: 16px 16px, 16px 16px, 16px 16px, 16px 16px, 16px 16px !important;
											 background-position: 2px center, 20px center, 38px center, 56px center, 74px center !important;
																			width: 94px !important; }

.w2ui-icon.print{ background: url('images/lc_print.svg') no-repeat center !important; }
.w2ui-icon.undo{ background: url('images/lc_undo.svg') no-repeat center !important; }
.w2ui-icon.redo{ background: url('images/lc_redo.svg') no-repeat center !important; }
.w2ui-icon.copyformat{ background: url('images/lc_formatpaintbrush.svg') no-repeat center !important; }
.w2ui-icon.deleteformat{ background: url('images/lc_resetattributes.svg') no-repeat center !important; }
.w2ui-icon.bold{ background: url('images/lc_bold.svg') no-repeat center !important; }
.w2ui-icon.italic{ background: url('images/lc_italic.svg') no-repeat center !important; }
.w2ui-icon.underline{ background: url('images/lc_underline.svg') no-repeat center !important; }
.w2ui-icon.strikeout{ background: url('images/lc_strikeout.svg') no-repeat center !important; }
.w2ui-icon.textcolor{ background: url('images/lc_color.svg') no-repeat center !important; }
.w2ui-icon.backcolor{ background: url('images/lc_backcolor.svg') no-repeat center !important; }
.w2ui-icon.backgroundcolor{ background: url('images/lc_backgroundcolor.svg') no-repeat center !important; }
.w2ui-icon.alignleft{ background: url('images/lc_alignleft.svg') no-repeat center !important; }
.w2ui-icon.alignhorizontal{ background: url('images/lc_alignhorizontalcenter.svg') no-repeat center !important; }
.w2ui-icon.alignright{ background: url('images/lc_alignright.svg') no-repeat center !important; }
.w2ui-icon.alignblock{ background: url('images/lc_alignblock.svg') no-repeat center !important; }
.w2ui-icon.linespacing{ background: url('images/lc_spacepara15.svg') no-repeat center !important; }
.w2ui-icon.numbering{ background: url('images/lc_defaultnumbering.svg') no-repeat center !important; }
.w2ui-icon.bullet{ background: url('images/lc_defaultbullet.svg') no-repeat center !important; }
.w2ui-icon.incrementindent{ background: url('images/lc_decrementlevel.svg') no-repeat center !important; }
.w2ui-icon.decrementindent{ background: url('images/lc_decrementindent.svg') no-repeat center !important; }
.w2ui-icon.text{ background: url('images/lc_text.svg') no-repeat center !important; }
.w2ui-icon.annotation{ background: url('images/lc_showannotations.svg') no-repeat center !important; }
.w2ui-icon.inserttable{ background: url('images/lc_inserttable.svg') no-repeat center !important; }
.w2ui-icon.insertgraphic{ background: url('images/lc_gallery.svg') no-repeat center !important; }
.w2ui-icon.link{ background: url('images/lc_inserthyperlink.svg') no-repeat center !important; }
.w2ui-icon.insertsymbol{ background: url('images/lc_insertsymbol.svg') no-repeat center !important; }
.w2ui-icon.edit{ background: url('images/lc_editdoc.svg') no-repeat center !important; }
.w2ui-icon.fold{ background: url('images/fold.svg') no-repeat center center / 19px !important; opacity: 0.8; filter: alpha(opacity=80);}
.w2ui-icon.unfold{ background: url('images/unfold.svg') no-repeat center center/ 19px !important; opacity: 0.8; filter: alpha(opacity=80);}
.w2ui-icon.hamburger{ background: url('images/hamburger.svg') no-repeat center !important; }
.w2ui-icon.setborderstyle{ background: url('images/lc_setborderstyle.svg') no-repeat center !important; }
.w2ui-icon.togglemergecells{ background: url('images/lc_togglemergecells.svg') no-repeat center !important; }
.w2ui-icon.wraptext{ background: url('images/lc_wraptext.svg') no-repeat center !important; }
.w2ui-icon.numberformatcurrency{ background: url('images/lc_currencyfield.svg') no-repeat center !important; }
.w2ui-icon.numberformatpercent{ background: url('images/lc_numberformatpercent.svg') no-repeat center !important; }
.w2ui-icon.numberformatdecimal{ background: url('images/lc_numberformatdecimal.svg') no-repeat center !important; }
.w2ui-icon.numberformatdate{ background: url('images/lc_datefield.svg') no-repeat center !important; }
.w2ui-icon.numberformatincdecimals{ background: url('images/lc_numberformatincdecimals.svg') no-repeat center !important; }
.w2ui-icon.numberformatdecdecimals{ background: url('images/lc_numberformatdecdecimals.svg') no-repeat center !important; }
.w2ui-icon.insertobjectchart{ background: url('images/lc_drawchart.svg') no-repeat center !important; }
.w2ui-icon.insertrowsafter{ background: url('images/lc_insertrowsafter.svg') no-repeat center !important; }
.w2ui-icon.insertcolumnsafter{ background: url('images/lc_insertcolumnsafter.svg') no-repeat center !important; }
.w2ui-icon.autosum{ background: url('images/lc_autosum.svg') no-repeat center !important; }
.w2ui-icon.orientation{ background: url('images/lc_orientation.svg') no-repeat center !important; }

.w2ui-icon.functiondialog{ background: url('images/lc_functiondialog.svg') no-repeat center !important; }
.w2ui-icon.accepttrackedchanges{ background: url('images/lc_accepttrackedchanges.svg') no-repeat center !important; }
.w2ui-icon.ok{ background: url('images/lc_ok.svg') no-repeat center !important; }
.w2ui-icon.cancel{ background: url('images/lc_cancel.svg') no-repeat center !important; }
.w2ui-icon.color{ background: url('images/lc_color.svg') no-repeat center !important; }
.w2ui-icon.deletepage{ background: url('images/lc_deletepage.svg') no-repeat center !important; }
.w2ui-icon.duplicatepage{ background: url('images/lc_duplicatepage.svg') no-repeat center !important; }
.w2ui-icon.equal{ background: url('images/lc26049.svg') no-repeat center !important; }
.w2ui-icon.help{ background: url('images/lc_helpindex.svg') no-repeat center !important; }
.w2ui-icon.insertpage{ background: url('images/lc_insertpage.svg') no-repeat center !important; }
.w2ui-icon.insertsheet{ background: url('images/plus.svg') no-repeat center !important; }
.w2ui-icon.conditionalformatdialog{ background: url('images/lc_conditionalformatdialog.svg') no-repeat center !important; }
.w2ui-icon.search{ background: url('images/sc_recsearch.svg') no-repeat center !important; }
.w2ui-icon.next{ background: url('images/lc_downsearch.svg') no-repeat center !important; }
.w2ui-icon.presentation{ background: url('images/lc_dia.svg') no-repeat center !important; }
.w2ui-icon.prev{ background: url('images/lc_upsearch.svg') no-repeat center !important; }
.w2ui-icon.save{ background: url('images/lc_save.svg') no-repeat center !important; }
.w2ui-icon.saveas{ background: url('images/lc_saveas.svg') no-repeat center !important; }
.w2ui-icon.savemodified{ background: url('images/savemodified_large.svg') no-repeat center !important; }
.w2ui-icon.zoomin{ background: url('images/plus.svg') no-repeat center !important; }
.w2ui-icon.zoomout{ background: url('images/minus.svg') no-repeat center !important; }
.w2ui-icon.zoomreset{ background: url('images/lc_view100.svg') no-repeat center !important; }
.w2ui-icon.more{ background: url('images/lc_downsearch.svg') no-repeat center !important; }
.w2ui-icon.firstrecord{ background: url('images/lc_firstrecord.svg') no-repeat center !important; }
.w2ui-icon.nextrecord{ background: url('images/lc_nextrecord.svg') no-repeat center !important; }
.w2ui-icon.prevrecord{ background: url('images/lc_prevrecord.svg') no-repeat center !important; }
.w2ui-icon.lastrecord{ background: url('images/lc_lastrecord.svg') no-repeat center !important; }
.w2ui-icon.sortascending{ background: url('images/lc_sortascending.svg') no-repeat center !important; }
.w2ui-icon.sortdescending{ background: url('images/lc_sortdescending.svg') no-repeat center !important; }
.w2ui-icon.selected{ background: url('images/lc_ok.svg') no-repeat center !important; }
.w2ui-icon.users{ background: url('images/contacts-dark.svg') no-repeat center; }
.w2ui-icon.fullscreen{ background: url('images/lc_fullscreen.svg') no-repeat center !important; }
.w2ui-icon.closemobile{ background: url('images/lc_closedocmobile.svg') no-repeat center !important; }
.w2ui-icon.closetoolbar{ background: url('images/close_toolbar.svg') no-repeat center !important; }
.w2ui-icon.sidebar_modify_page{ background: url('images/lc_formproperties.svg') no-repeat center !important; }
.w2ui-icon.sidebar_slide_change{ background: url('images/sidebar-transition-large.svg') no-repeat center !important; }
.w2ui-icon.sidebar_custom_animation{ background: url('images/lc_animationobjects.svg') no-repeat center !important; }
.w2ui-icon.sidebar_master_slides{ background: url('images/lc_slidemasterpage.svg') no-repeat center !important; }
.w2ui-icon.mobile_wizard{ background: url('images/lc_mobile_wizard.svg') no-repeat center !important; }
.w2ui-icon.fullscreen-presentation{ background: url('images/lc_fullscreen-presentation-toolbar-mobile.svg') no-repeat center !important;}
.w2ui-icon.insertion_mobile_wizard{ background: url('images/lc_insertion_mobile_wizard.svg') no-repeat center !important; }
.w2ui-icon.insertcomment{ background: url('images/lc_insertcomment.svg') no-repeat center !important; }

.w2ui-icon.vereign{ background: url('images/vereign.png') no-repeat center !important; }

.inserttable-pop {
		z-index: 1000;
		box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.3);
}

#fontcolor-wrapper {
		position: relative;
		right: 200px; /* fontcolor popup has 200px width, place it to the left from its right edge */
}

#backcolor-wrapper {
		position: relative;
		right: 200px; /* backcolor popup has 200px width, place it to the left from its right edge */
}

#backcolor-wrapper .evo-pop {
		z-index: 1000; /* Override default value of 10000 of evo-pop class */
}

#fontcolor-wrapper .evo-pop {
		z-index: 1000; /* Override default value of 10000 of evo-pop class */
}

/* for 10x10 grid 10x20+10*.col.margin */
.inserttable-grid {
		box-sizing: border-box;
		background: rgba(255, 255, 255, 0.5);
		position: relative;
		padding: 2px;
		display: block;
		width: 243px;
}

.inserttable-grid .row {
		height: 20px;
		margin: 3px;
}

.inserttable-grid .col {
		height: 100%;
		float: left;
		padding: 2px;
		width: 20px;
		border: 1px;
		border-style: solid;
		border-color: rgba(120, 120, 120, 0.5);
		background: rgba(255, 255, 255, 1);
		margin: 3px 0 0 3px;
}

.inserttable-grid .col.bright {
		border: 0px;
		background: rgba(66, 151, 215, 1);
}

/* Insert shape grid - based on inserttable grid */
.insertshape-grid {
		box-sizing: border-box;
		background: rgba(255, 255, 255, 0.5);
		position: relative;
		padding: 2px;
		display: inline-block;
		min-width: 350px;
		width:  100%;
		height: 100%;
}

.insertshape-grid .row {
		height: 30px;
}

.insertshape-grid .col {
		height: 100%;
		float: left;
		padding: 2px;
		width: 30px;
		border: 1px solid transparent;
}

.insertshape-grid .row-header {
		height: 30px;
		text-align: center;
		padding: 5px;
		padding-top: 10px;
		clear: both;
		background-color: rgba(128, 128, 128, 0.1);
}

.insertshape-grid .col:hover {
		border: 1px solid #ccc;
}

tr.useritem:hover {
		cursor: default;
		background-color: rgba(67, 172, 232, 0.25);
}

tr.useritem > td {
		padding: 7px;
}

tr.useritem > td.usercolor {
		display: inline-block;
		top: 0px;
		left: 3px;
		position: relative;
}

tr.useritem > td > img {
		border-radius: 100px;
}

.context-menu-link {
		text-decoration: none;
		color: black;
		width: 100%;
}
.menu-entry-icon {
	width: 32px;
	height: 32px;
	vertical-align: middle;
	background: transparent;
}

.menu-entry-checked {
	background: url(images/lc_listitem-selected.svg) no-repeat right;
}

.menu-entry-with-icon {
	padding-left: 10px;
}

/* Don't forget to update it when you change one of the two above!
menu-entry-with-icon.padding-left + menu-entry-icon.width */
.menu-entry-no-icon {
	padding-left: 42px;
}
